Bug 820121 - eclipse-dltk: Bundled library
eclipse-dltk: Bundled library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: eclipse-dltk (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mat Booth
Fedora Extras Quality Assurance
:
Depends On:
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2012-05-09 04:35 EDT by Mikolaj Izdebski
Modified: 2013-08-14 11:01 EDT (History)
3 users (show)

See Also:
Fixed In Version: eclipse-dltk-5.0.0-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-14 11:01:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2012-05-09 04:35:46 EDT
eclipse-dltk is bundling apache-commons-collections, an external library.

According to Fedora Java Packaging Guidelines this is unacceptable. See: https://fedoraproject.org/wiki/Packaging:Java#Pre-built_JAR_files_.2F_Other_bundled_software

Please remove this library from packaging and add it as external dependency.
Comment 1 Alexander Kurtakov 2012-06-12 17:48:55 EDT
Can we get some more details about where exactly is the bundled library?
Comment 2 Mikolaj Izdebski 2012-06-13 04:21:36 EDT
The bundled library can be found in /usr/share/eclipse/dropins/dltk-core/eclipse/plugins/org.eclipse.dltk.core_4.0.0.v201201070225.jar

$ rpm2cpio /mnt/globalsync/fedora/linux/development/rawhide/x86_64/os/Packages/e/eclipse-dltk-4.0.0-0.4.201201070225cvs.fc18.noarch.rpm | pax -r

$ grep -r org.apache.commons .
grep: ./usr/share/eclipse/dropins/dltk-core.index/eclipse/plugins/org.h2.jar: No such file or directory
Binary file ./usr/share/eclipse/dropins/dltk-core/eclipse/plugins/org.eclipse.dltk.core_4.0.0.v201201070225.jar matches

$ jar tf ./usr/share/eclipse/dropins/dltk-core/eclipse/plugins/org.eclipse.dltk.core_4.0.0.v201201070225.jar | grep commons
org/apache/commons/
org/apache/commons/collections/
org/apache/commons/collections/IterableMap.class
org/apache/commons/collections/KeyValue.class
org/apache/commons/collections/MapIterator.class
org/apache/commons/collections/ResettableIterator.class
org/apache/commons/collections/iterators/
org/apache/commons/collections/iterators/AbstractEmptyIterator.class
org/apache/commons/collections/iterators/EmptyIterator.class
org/apache/commons/collections/iterators/EmptyMapIterator.class
org/apache/commons/collections/keyvalue/
org/apache/commons/collections/keyvalue/AbstractKeyValue.class
org/apache/commons/collections/keyvalue/AbstractMapEntry.class
org/apache/commons/collections/keyvalue/DefaultMapEntry.class
org/apache/commons/collections/map/
org/apache/commons/collections/map/AbstractHashedMap$EntrySet.class
org/apache/commons/collections/map/AbstractHashedMap$EntrySetIterator.class
org/apache/commons/collections/map/AbstractHashedMap$HashEntry.class
org/apache/commons/collections/map/AbstractHashedMap$HashIterator.class
org/apache/commons/collections/map/AbstractHashedMap$HashMapIterator.class
org/apache/commons/collections/map/AbstractHashedMap$KeySet.class
org/apache/commons/collections/map/AbstractHashedMap$KeySetIterator.class
org/apache/commons/collections/map/AbstractHashedMap$Values.class
org/apache/commons/collections/map/AbstractHashedMap$ValuesIterator.class
org/apache/commons/collections/map/AbstractHashedMap.class
org/apache/commons/collections/map/AbstractReferenceMap$ReferenceEntry.class
org/apache/commons/collections/map/AbstractReferenceMap$ReferenceEntrySet.class
org/apache/commons/collections/map/AbstractReferenceMap$ReferenceEntrySetIterator.class
org/apache/commons/collections/map/AbstractReferenceMap$ReferenceKeySet.class
org/apache/commons/collections/map/AbstractReferenceMap$ReferenceKeySetIterator.class
org/apache/commons/collections/map/AbstractReferenceMap$ReferenceMapIterator.class
org/apache/commons/collections/map/AbstractReferenceMap$ReferenceValues.class
org/apache/commons/collections/map/AbstractReferenceMap$ReferenceValuesIterator.class
org/apache/commons/collections/map/AbstractReferenceMap$SoftRef.class
org/apache/commons/collections/map/AbstractReferenceMap$WeakRef.class
org/apache/commons/collections/map/AbstractReferenceMap.class
org/apache/commons/collections/map/ReferenceMap.class
Comment 3 Fedora End Of Life 2013-04-03 10:55:14 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Mat Booth 2013-08-14 11:01:56 EDT
I believe this is fixed in eclipse-dltk >= 5.0.0 as I cannot find this problem with the packages currently in rawhide.

Note You need to log in before you can comment on or make changes to this bug.